Bug 1814456 - In Fedora's version of Firefox, geolocation is broken.
Summary: In Fedora's version of Firefox, geolocation is broken.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-17 23:23 UTC by Greta Watson
Modified: 2021-05-25 15:47 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 15:47:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Greta Watson 2020-03-17 23:23:36 UTC
Description of problem:  geolocation is broken


Version-Release number of selected component (if applicable): Firefox 74


How reproducible:
Go to any website that asks for location, allow location access, and see what happens.


Steps to Reproduce:
1.  https://www.mapdevelopers.com/what-is-my-zip-code.php
2.  allow location access
3.  notice that it doesn't get the correct information

Actual results:  geolocation isn't working


Expected results:  correct zip code and lat/long


Additional info:  I downloaded the official firefox from the mozilla webpage.  It does not have the same problem.  Apparently, Fedora uses its own value for geo.wifi.uri.  That doesn't seem to exist in about:config on the official Mozilla version of Firefox.

This bug was originally filed under Mozilla/Firefox but was found to not occur in the official Mozilla Firefox.  This bug also does not occur in Google Chrome.

Comment 1 Martin Stransky 2020-03-18 09:28:57 UTC
Jan can you look at it please?
Thanks.

Comment 2 Chris Peterson (Mozilla) 2020-03-18 17:13:37 UTC
Here is the Firefox bug report Greta filed:

https://bugzilla.mozilla.org/show_bug.cgi?id=1622863

Since geolocation works in Mozilla's official Firefox builds but not in Fedora's distro Firefox builds and both builds have `geo.provider.network.url` prefs pointing to Google's geolocation server, I suspect there is a problem with Fedora's Google API key.

> geo. provider.network.url https://www.googleapis.com/geolocation/v1/geolocate?key=%GOOGLE_LOCATION_SERVICE_API_KEY%

Comment 3 Andrea Musuruane 2020-03-28 11:58:25 UTC
I also have the same issue on F31.

Comment 4 Trevor Davenport 2020-04-15 01:58:45 UTC
Still present on F31.  This breaks some sites that require some geo-location to function properly (such as Youtube TV verifying a local viewing area for local channels).  An easy alternative is to now use firefox from flathub.org since its not busted there.

Comment 5 Greta Watson 2020-04-15 02:06:36 UTC
It is not such an easy alternative for those of us who have an extensive set of bookmarks, bookmark toolbars, logins, etc., since the official version uses a different set of profile variables.  Also, it means that we would have to manually update the official version, since the Fedora version stores firefox in its own location.

Comment 6 Trevor Davenport 2020-04-15 19:26:54 UTC
I use Firefox sync so it moved everything over to the flatpak versions profile.  To each their own though.

Comment 7 Trevor Cordes 2020-04-27 04:45:14 UTC
Same thing is happening in Ubuntu... something about the distros (keys?) are throwing this off, and the distros need to come up with a fix.  That's what mozilla says.

https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1860830

https://bugzilla.mozilla.org/show_bug.cgi?id=1610306

Comment 8 Ben Cotton 2020-04-30 20:11:22 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Alexey Kotlyarov 2020-05-01 04:05:07 UTC
This bug is present in Fedora 31 as well.

Comment 10 Alexey Kotlyarov 2020-05-01 07:38:38 UTC
This bug is present in Fedora 32 as well.

Comment 11 Andy 2020-05-24 15:08:56 UTC
For me as well Firefox stopped being able to locate my position, on F32, FF 76

I've been checking Gnome's geolocation settings, and in the settings manager they state to use Mozilla's location service.
If Gnome can use that, why isn't Firefox using that service too?

`geo.wifi.uri` is already set to that Mozilla's service, so I just copied that URL to `geo.provider.network.url` and it seems to work.

What are the drawbacks of using Mozilla's service?

A quick test locates even a house next to me on my desktop w/o GPS, so it seems accurate enough.

thx

Comment 12 Greta Watson 2020-06-06 19:58:06 UTC
Setting geo.provider.network.url to the same as geo.wifi.uri in Firefox 77 in Fedora 32 did not work.  It did work in Firefox 76.

Comment 13 Andreas M. Kirchwitz 2020-06-28 22:55:37 UTC
Fedora 32 (x86_64) with latest (pre-testing) firefox-77.0.1-3.fc32.x86_64, still no geo location in default configuration.

Luckily, the workaround mentioned in Bugzilla ticket #1830555 does the job, if that helps anybody. I guess both tickets describe the same problem/bug, but the other one is more technical and shows the results of different Google API keys (and also provides that helpful workaround).

Comment 14 Andy 2020-06-29 18:29:01 UTC
Does anybody know the exact URL the Gnome Desktop uses for locating?

Comment 15 MGMX 2020-08-10 18:27:31 UTC
I tried setting both geo.provider.network.url and geo.wifi.uri to any combination of https://www.googleapis.com/geolocation/v1/geolocate?key=%GOOGLE_LOCATION_SERVICE_API_KEY% and https://location.services.mozilla.com/v1/geolocate?key=%MOZILLA_API_KEY% and it still does not work.

I even found in a website a little console commands to try the geolocation and it fails. I will try to find that snipet again.

Comment 16 Leonard Ehrenfried 2020-08-17 09:23:35 UTC
It appears that the key geo.wifi.uri has been renamed to geo.provider.network.url (source: https://security.stackexchange.com/questions/147166/how-can-you-fake-geolocation-in-firefox). It appears that the Fedora build is setting the wrong defaults, which should be corrected. If anyone could point me towards a respository where I could find the source code of the build, I could patch it myself.

I've managed to fix my geolocation problems by setting geo.provider.network.url=https://location.services.mozilla.com/v1/geolocate?key=test .

Seems that "test" is a valid API key.

Comment 17 Fedora Program Management 2021-04-29 16:14:32 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Ben Cotton 2021-05-25 15:47:38 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.